<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\Kursplanung\KursKopie;

class KursKopieSetFilterController extends KursKopieController
{
  protected function getRequestObj()
  {
    $requestObj = parent::getRequestObj();
    if (!$this->isBrowserRefresh()) {
      $requestObj->suchParameter = $this->getFilterFromPost();
      $requestObj->aendereFilter = true;
    }

    return $requestObj;
  }

  protected function getFilterFromPost()
  {
    $toolId = KursKopieUseCase::getToolId();
    $suchApi = new \KurssuchAPIwSearch();

    return $suchApi->getSearchParamsFromReq('tool' . $toolId . '_kurskopie', 'searchkurs');
  }

  private function isBrowserRefresh()
  {
    return !\RequestOperations::isDefined('search_stichworte');
  }
}